From 517c893eea5fe4b590f87d83a0cfcd33231df746 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 19:04:45 +0000
Subject: [PATCH 66/220] Fix cosmic-edit, cosmic-files, cosmic-icons, cosmic-app-library


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 14fbe7d..d8bdc3f 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -37,7 +37,7 @@ BuildRequires:  just
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{version} -p1 -a1
+%autosetup -n %{crate}-%{ver} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 4b0bd7d..6df5ef3 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -29,6 +29,8 @@ BuildRequires:  lld
 BuildRequires:  cargo
 BuildRequires:  just
 
+BuildRequires:  git-core
+
 %global _description %{expand:
 %{summary}.}
 
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 52af261..18ab745 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -24,6 +24,12 @@ Source:         cosmic-files-%{ver}.tar.xz
 Source:         cosmic-files-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
+BuildRequires:  rustc
+BuildRequires:  lld
+BuildRequires:  cargo
+BuildRequires:  just
+
+BuildRequires:  git-core
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-icons/cosmic-icons.spec b/rpms/cosmic-icons/cosmic-icons.spec
index 4fd504b..a4d671e 100644
--- a/rpms/cosmic-icons/cosmic-icons.spec
+++ b/rpms/cosmic-icons/cosmic-icons.spec
@@ -23,7 +23,7 @@ BuildRequires:  just
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-icons
+%autosetup -n cosmic-icons-%{ver}
 
 %build
 

